Skip to main content
GET
/
v1
/
polygon
/
validators
/
{validator_id}
/
metadata
Get various metadata about validators
curl --request GET \
  --url https://api.rated.network/v1/polygon/validators/{validator_id}/metadata \
  --header 'Authorization: Bearer <token>'
{
  "validatorId": 1,
  "name": "<string>",
  "status": "<string>",
  "currentState": "<string>",
  "owner": "<string>",
  "signer": "<string>",
  "commission": 1,
  "url": "<string>",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.rated.network/llms.txt

Use this file to discover all available pages before exploring further.

Polygon on the Rated API is under maintenancePlease check our changelog for the latest updates.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

validator_id
integer
required
Required range: x >= 0

Response

Successful Response

validatorId
integer
required
Required range: x >= 0
name
string
required
status
string
required
currentState
string
required
owner
string
required
signer
string
required
commission
number
required
Required range: x >= 0
url
string | null
description
string | null